#include "QBWebView.hpp"

QBWebView::QBWebView(
    const char *url_string,
    const char *selector,
    QWidget *parent = 0
    ) : QWebView( parent )
{
    // Enable plugin
    QWebSettings::globalSettings()->setAttribute( QWebSettings::PluginsEnabled, true );
    this->settings()->setAttribute( QWebSettings::PluginsEnabled, true );
   
    // Load WebPage
    this->load( QUrl( url_string ) );
    QWebFrame *frame = this->page()->mainFrame();
    QWebElement element = frame->findFirstElement( selector );
    QWebElement *doc = &( frame->documentElement() );
    doc->removeAllChildren();
    doc->appendInside( element );


}

void QBWebView::mousePressEvent( QMouseEvent *event )
{
    if( event->button()  == Qt::RightButton )
    {
        // Show menu for quit()
        QMenu myMenu;
        QAction *quitAction = myMenu.addAction("quit");
        QObject::connect( quitAction, SIGNAL( triggered() ),
                 qApp, SLOT( closeAllWindows() )
            );
        myMenu.exec( event->globalPos() );
    }
    else
    {
        QWebView::mousePressEvent( event );
    }
}

