#include <QtGui>
#include <QtWebKit>

#include "QBWebView.hpp"

int main( int argc, char *argv[] )
{
    const int shadow_x = 5;
    const int shadow_y = 5;
    const int shadow_blur = 15;
    const char *url_string = "http://www.google.com/logos/2012/moog12-hp.html";
    const char *selector = "#moog";

    // Create items
    QApplication app( argc, argv );
    QWidget main_window;
    QBWebView web( url_string, selector, &main_window );

    // Create/Apply effect
    QGraphicsDropShadowEffect *shadow = new QGraphicsDropShadowEffect();
    shadow->setColor( QColor( 0, 0, 0 ) );
    shadow->setOffset( shadow_x, shadow_y );
    shadow->setBlurRadius( shadow_blur );
    main_window.setGraphicsEffect( shadow );
    
    // window config
    main_window.setStyleSheet( "background:transparent; border: none;");
    main_window.setAttribute( Qt::WA_TranslucentBackground );
    main_window.setWindowFlags( Qt::FramelessWindowHint );

    // Show items
    web.show();  
    main_window.show();

    return app.exec();
}
